target/
!.mvn/wrapper/maven-wrapper.jar
!**/src/main/**/target/
!**/src/test/**/target/

### IntelliJ IDEA ###
.idea/modules.xml
.idea/jarRepositories.xml
.idea/compiler.xml
.idea/libraries/
*.iws
*.iml
*.ipr

### Eclipse ###
.apt_generated
.classpath
.factorypath
.project
.settings
.springBeans
.sts4-cache

### NetBeans ###
/nbproject/private/
/nbbuild/
/dist/
/nbdist/
/.nb-gradle/
build/
!**/src/main/**/build/
!**/src/test/**/build/

### VS Code ###
.vscode/

### Mac OS ###
.DS_Store
/.idea/
/.mvn/
/config.json
/web-server/src/main/webui/src/json-rpc.js
/.cache/
ovpn-connector.json
/webui/src/json-rpc.js
app/src/main/resources/htdocs/
*.pfapp
cache/
/data/
test/
pfsdn.mv.db
webui/node_modules/
